## xlsxwriter 3.0.2

=== Makefile ===
#
# Simple Makefile for the XlsxWriter project.
#
# SPDX-License-Identifier: BSD-2-Clause
# Copyright 2013-2021, John McNamara, jmcnamara@cpan.org
#

.PHONY: docs

docs doc:
	@make -C dev/docs html

docs_external:
	@../build_readthedocs.sh

pdf:
	@make -C dev/docs latexpdf

linkcheck:
	@make -C dev/docs linkcheck

clean:
	@make -C dev/docs clean

alldocs: clean docs pdf
	@cp -r dev/docs/build/html docs
	@cp -r dev/docs/build/latex/XlsxWriter.pdf docs

pdf_release: pdf
	@cp -r dev/docs/build/latex/XlsxWriter.pdf docs

install:
	@python setup.py install
	@rm -rf build

test:
	@~/.pythonbrew/pythons/Python-3.9.0/bin/python -m unittest discover

# Test with stable Python 2/3 releases.
testpythons:
	@echo "Testing with Python 3.4.1:"
	@~/.pythonbrew/pythons/Python-3.4.1/bin/py.test -q
	@echo "Testing with Python 3.5.0:"
	@~/.pythonbrew/pythons/Python-3.5.0/bin/py.test -q
	@echo "Testing with Python 3.6.6:"
	@~/.pythonbrew/pythons/Python-3.6.6/bin/py.test -q
	@echo "Testing with Python 3.7.0:"
	@~/.pythonbrew/pythons/Python-3.7.0/bin/py.test -q
	@echo "Testing with Python 3.8.0:"
	@~/.pythonbrew/pythons/Python-3.8.0/bin/py.test -q
	@echo "Testing with Python 3.9.0:"
	@~/.pythonbrew/pythons/Python-3.9.0/bin/py.test -q

test_flake8:
	@ls -1 xlsxwriter/*.py | egrep -v "theme|__init__" | xargs flake8 --show-source
	@flake8 --ignore=E501 xlsxwriter/theme.py
	@find xlsxwriter/test -name \*.py | xargs flake8 --ignore=E501,F841

tags:
	$(Q)rm -f TAGS
	$(Q)etags xlsxwriter/*.py

testwarnings:
	@python -Werror -c 'from xlsxwriter import Workbook'

spellcheck:
	@for f in dev/docs/source/*.rst;           do aspell --lang=en_US --check $$f; done
	@for f in *.md;                            do aspell --lang=en_US --check $$f; done
	@for f in xlsxwriter/*.py;                 do aspell --lang=en_US --check $$f; done
	@for f in xlsxwriter/test/comparison/*.py; do aspell --lang=en_US --check $$f; done
	@for f in examples/*.py;                   do aspell --lang=en_US --check $$f; done
	@aspell --lang=en_US --check Changes

releasecheck:
	@dev/release/release_check.sh

release: releasecheck
	@git push origin main
	@git push --tags

	@rm -rf dist/ build/ XlsxWriter.egg-info/
	@python setup.py sdist bdist_wheel
	@twine upload dist/*
	@rm -rf dist/ build/ XlsxWriter.egg-info/

	@../build_readthedocs.sh

=== dev/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/XlsxWriter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/XlsxWriter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/XlsxWriter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/XlsxWriter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@perl ../release/modify_latex.pl $(BUILDDIR)/latex/XlsxWriter.tex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## xlsxwriter 0.5.2

=== debian/changelog ===
xlsxwriter (0.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #728712)

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Tue, 07 Jan 2014 17:53:46 +0100

=== debian/control ===
Source: xlsxwriter
Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
Section: python
Priority: optional
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.1
Build-Depends: debhelper (>= 9), python (>= 2.5), python3-all (>= 3.1)
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/xlsxwriter/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/xlsxwriter/trunk/
Homepage: http://xlsxwriter.readthedocs.org/en/latest/

Package: python-xlsxwriter
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python module for creating Excel XLSX files
 XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX
 file format.
 .
 XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
 multiple worksheets and it supports features such as formatting and many more,
 including:
 .
  * 100% compatible Excel XLSX files
  * Full formatting
  * Merged cells
  * Defined names
  * Charts
  * Autofilters
  * Data validation and drop down lists
  * Conditional formatting
  * Worksheet PNG/JPEG images
  * Rich multi-format strings

Package: python3-xlsxwriter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 module for creating Excel XLSX files
 XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX
 file format.
 .
 XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
 multiple worksheets and it supports features such as formatting and many more,
 including:
 .
  * 100% compatible Excel XLSX files
  * Full formatting
  * Merged cells
  * Defined names
  * Charts
  * Autofilters
  * Data validation and drop down lists
  * Conditional formatting
  * Worksheet PNG/JPEG images
  * Rich multi-format strings
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xlsxwriter

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/X/XlsxWriter/XlsxWriter-(.*)\.tar.gz

## xlsxwriter 0.7.2

=== debian/changelog ===
xlsxwriter (0.7.2-1) unstable; urgency=medium

  * New upstream release 
  * debian/control: bump standards version to 3.9.6 (no change required) 

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Mon, 30 Mar 2015 12:35:14 +0200

xlsxwriter (0.6.7-1) unstable; urgency=medium

  * New upstream release. List of changes is available on
    http://xlsxwriter.readthedocs.org/changes.html
  * Add doc-base files for the readme.html shipped by upstream
  * debian/control: build-depend on dh-python
  * debian/watch: use the new pypi redirector
  * debian/rules: don't ship the new vba_extract script, it's a small example
    (of many) and it doesn't seem to be that useful yet.
  * debian/copyright: bump dates and add myself to debian/ section

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 29 Apr 2014 12:25:12 +0200

## xlsxwriter 0.7.3

=== debian/changelog ===
xlsxwriter (0.7.3-1) unstable; urgency=medium

  * New upstream release 

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 21 Jul 2015 14:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: xlsxwriter
 Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
+Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1
-Build-Depends: debhelper (>= 9), python (>= 2.5), python3-all (>= 3.1)
+Build-Depends: debhelper (>= 9), python (>= 2.5), python3-all (>= 3.1), dh-python
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/xlsxwriter/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/xlsxwriter/trunk/
 Homepage: http://xlsxwriter.readthedocs.org/en/latest/

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,11 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_install:
+	dh_install
+	# Don't ship the vba_extract.py script
+	rm -f debian/python-xlsxwriter/usr/bin/vba_extract.py
+	rm -f debian/python3-xlsxwriter/usr/bin/vba_extract.py
+	find debian/python-xlsxwriter -type d -empty -delete
+	find debian/python3-xlsxwriter -type d -empty -delete

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/XlsxWriter/XlsxWriter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xlsxwriter 0.9.6

=== debian/changelog ===
xlsxwriter (0.9.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.9.6

 -- Hilko Bengen <bengen@debian.org>  Sat, 21 Jan 2017 16:55:22 +0100

xlsxwriter (0.9.3-0.1) unstable; urgency=medium

  [ Hilko Bengen ]
  * Non-maintainer upload
  * New upstream release 
  * Bump Standards-Version

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Hilko Bengen <bengen@debian.org>  Wed, 21 Sep 2016 02:41:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: xlsxwriter
-Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
-Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
+Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
+           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1
 Build-Depends: debhelper (>= 9), python (>= 2.5), python3-all (>= 3.1), dh-python
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/xlsxwriter/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/xlsxwriter/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/xlsxwriter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/xlsxwriter.git
 Homepage: http://xlsxwriter.readthedocs.org/en/latest/
 
 Package: python-xlsxwriter

## xlsxwriter 1.1.2

=== debian/changelog ===
xlsxwriter (1.1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938847

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 19:34:43 -0500

xlsxwriter (1.1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.1.2
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update Vcs-* headers after migration to salsa.debian.org --
    commented out for now
  * Update build-dependencies
  * Install examples
  * Remove X-Python headers from debian/control

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 22:17:24 +0100

=== debian/control ===
Source: xlsxwriter
Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12), dh-python, python3,
#Vcs-Git: https://salsa.debian.org/python-team/modules/xlsxwriter.git
#Vcs-Browser: https://salsa.debian.org/python-team/modules/xlsxwriter
Homepage: http://xlsxwriter.readthedocs.org/en/latest/

Package: python3-xlsxwriter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 module for creating Excel XLSX files
 XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX
 file format.
 .
 XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
 multiple worksheets and it supports features such as formatting and many more,
 including:
 .
  * 100% compatible Excel XLSX files
  * Full formatting
  * Merged cells
  * Defined names
  * Charts
  * Autofilters
  * Data validation and drop down lists
  * Conditional formatting
  * Worksheet PNG/JPEG images
  * Rich multi-format strings
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xlsxwriter

%:
	dh $@ --with python3 --buildsystem=pybuild

## xlsxwriter 3.0.2

=== debian/changelog ===
xlsxwriter (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests

 -- Scott Talbert <swt@techie.net>  Tue, 09 Nov 2021 19:42:40 -0500

xlsxwriter (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * Switch to using GitHub sources instead of PyPI (to get test files)
  * Update to new upstream release 3.0.2
  * Enable build-time unit tests
  * Refresh patch
  * Avoid installing XlsxWriter.pdf (massive document)
  * Enable autopkgtests

 -- Scott Talbert <swt@techie.net>  Mon, 08 Nov 2021 23:01:31 -0500

xlsxwriter (3.0.1-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Scott Talbert ]
  * Remove Checkbox developers from Maintainer/Uploaders
  * Update Homepage location (Closes: #966164)
  * Update Standards-Version to 4.6.0 (no changes needed)
  * Update to new upstream version 3.0.1 (Closes: #968935, #976862)
  * Remove now-unused section in d/copyright
  * Add lintian override for non-UTF-8 file
  * Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update d/watch version to 4

 -- Scott Talbert <swt@techie.net>  Fri, 17 Sep 2021 11:43:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: xlsxwriter
-Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
-Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
-           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
-           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12), dh-python, python3,
-#Vcs-Git: https://salsa.debian.org/python-team/modules/xlsxwriter.git
-#Vcs-Browser: https://salsa.debian.org/python-team/modules/xlsxwriter
-Homepage: http://xlsxwriter.readthedocs.org/en/latest/
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-pytest
+Vcs-Git: https://salsa.debian.org/python-team/packages/xlsxwriter.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/xlsxwriter
+Homepage: https://xlsxwriter.readthedocs.org/
+Rules-Requires-Root: no
 
 Package: python3-xlsxwriter
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/RELEASE_(\d\S+)\.tar\.gz/XlsxWriter-$1\.tar\.gz/ \
https://github.com/jmcnamara/XlsxWriter/tags .*/RELEASE_(\d\S+)\.tar\.gz

## xlsxwriter 3.1.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Simple Makefile for the XlsxWriter project.
 #
 # SPDX-License-Identifier: BSD-2-Clause
-# Copyright 2013-2021, John McNamara, jmcnamara@cpan.org
+# Copyright 2013-2023, John McNamara, jmcnamara@cpan.org
 #
 
 .PHONY: docs
@@ -36,12 +36,8 @@
 test:
 	@~/.pythonbrew/pythons/Python-3.9.0/bin/python -m unittest discover
 
-# Test with stable Python 2/3 releases.
+# Test with stable Python 3 releases.
 testpythons:
-	@echo "Testing with Python 3.4.1:"
-	@~/.pythonbrew/pythons/Python-3.4.1/bin/py.test -q
-	@echo "Testing with Python 3.5.0:"
-	@~/.pythonbrew/pythons/Python-3.5.0/bin/py.test -q
 	@echo "Testing with Python 3.6.6:"
 	@~/.pythonbrew/pythons/Python-3.6.6/bin/py.test -q
 	@echo "Testing with Python 3.7.0:"
@@ -50,11 +46,21 @@
 	@~/.pythonbrew/pythons/Python-3.8.0/bin/py.test -q
 	@echo "Testing with Python 3.9.0:"
 	@~/.pythonbrew/pythons/Python-3.9.0/bin/py.test -q
+	@echo "Testing with Python 3.10.0:"
+	@~/.pythonbrew/pythons/Python-3.10.0/bin/py.test -q
+	@echo "Testing with Python 3.11.1:"
+	@~/.pythonbrew/pythons/Python-3.11.1/bin/py.test -q
 
 test_flake8:
-	@ls -1 xlsxwriter/*.py | egrep -v "theme|__init__" | xargs flake8 --show-source
+	@ls -1 xlsxwriter/*.py | egrep -v "theme|__init__" | xargs flake8 --show-source --max-line-length=88 --ignore=E203,W503
 	@flake8 --ignore=E501 xlsxwriter/theme.py
-	@find xlsxwriter/test -name \*.py | xargs flake8 --ignore=E501,F841
+	@find xlsxwriter/test -name \*.py | xargs flake8 --ignore=E501,F841,W503
+
+lint:
+	@ruff xlsxwriter/*.py
+	@ruff xlsxwriter/test --ignore=E501,F841
+	@ruff examples
+	@black --check xlsxwriter/ examples/
 
 tags:
 	$(Q)rm -f TAGS
@@ -79,7 +85,7 @@
 	@git push --tags
 
 	@rm -rf dist/ build/ XlsxWriter.egg-info/
-	@python setup.py sdist bdist_wheel
+	@python3 setup.py sdist bdist_wheel
 	@twine upload dist/*
 	@rm -rf dist/ build/ XlsxWriter.egg-info/

=== debian/changelog ===
xlsxwriter (3.1.9-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Add dep. on python3-setuptools (Closes: #1080836)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 00:56:17 +0100

xlsxwriter (3.1.9-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update lintian override info format in
    d/python3-xlsxwriter.lintian-overrides on line 2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Scott Talbert ]
  * BD on python3-all
  * Update to new upstream release 3.1.9 (Closes: #1053984, #1056542)

 -- Scott Talbert <swt@techie.net>  Wed, 27 Dec 2023 13:33:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-pytest
+Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+ python3-pytest,
 Vcs-Git: https://salsa.debian.org/python-team/packages/xlsxwriter.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xlsxwriter
 Homepage: https://xlsxwriter.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=xlsxwriter
export PYBUILD_BEFORE_TEST=cp -r {dir}/xlsxwriter/test {build_dir}/xlsxwriter
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/xlsxwriter/test

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -XXlsxWriter.pdf

=== debian/tests/control ===
Tests: python3-xlsxwriter
Depends: python3-all, python3-pytest, python3-xlsxwriter
